通过 CometAPI 调用 Runway 的控制角色 API,从参考视频发起角色表演任务,驱动面部表情和身体动作。
curl --request POST \
--url https://api.cometapi.com/runwayml/v1/character_performance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Runway-Version: <x-runway-version>' \
--data '
{
"character": {
"type": "video",
"uri": "https://filesystem.site/cdn/20250818/wAKbHUoj5EHyqZvEdJbFXn10wXBMUn.mp4"
},
"reference": {
"type": "video",
"uri": "https://filesystem.site/cdn/20250818/wAKbHUoj5EHyqZvEdJbFXn10wXBMUn.mp4"
},
"bodyControl": true,
"expressionIntensity": 3,
"seed": 4294967295,
"model": "act_two",
"ratio": "1280:720",
"contentModeration": {
"publicFigureThreshold": "auto"
}
}
'{
"id": "<string>"
}X-Runway-Version 请求头,例如 2024-11-06model: act_twocharacter 资源和一个 reference 资源,且都必须是可访问的 HTTPS URLbodyControl: true 和适中的 expressionIntensity 开始轮询任务状态
character 是你想要制作动画的主体reference 是提供面部表演或身体动作的源片段bodyControl 用于决定动作迁移是否除了表情迁移外还包含身体运动contentModeration 将提供商的审核阈值应用到请求中Bearer token authentication. Use your CometAPI key.
Runway version header, for example 2024-11-06.
The character to control. You can either provide a video or an image.
Show child attributes
Reference performance clip. Provide type (video) and uri (HTTPS URL).
Show child attributes
Enable body control.
Intensity of the expression transfer. Higher values produce more exaggerated expressions.
Random seed for reproducible results.
The model variant to use. Must be act_two.
Aspect ratio of the output video, e.g. 1280:720.
Show child attributes
Task accepted.
curl --request POST \
--url https://api.cometapi.com/runwayml/v1/character_performance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Runway-Version: <x-runway-version>' \
--data '
{
"character": {
"type": "video",
"uri": "https://filesystem.site/cdn/20250818/wAKbHUoj5EHyqZvEdJbFXn10wXBMUn.mp4"
},
"reference": {
"type": "video",
"uri": "https://filesystem.site/cdn/20250818/wAKbHUoj5EHyqZvEdJbFXn10wXBMUn.mp4"
},
"bodyControl": true,
"expressionIntensity": 3,
"seed": 4294967295,
"model": "act_two",
"ratio": "1280:720",
"contentModeration": {
"publicFigureThreshold": "auto"
}
}
'{
"id": "<string>"
}